> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bonx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Créer un ordre de fabrication

> Crée un ordre de fabrication.

Crée un ordre de fabrication.

```json Corps de la requête theme={null}
{
  "articleId": 11,
  "quantity": 150,
  "siteId": 1,
  "dueDate": "2026-08-20"
}
```


## OpenAPI

````yaml openapi.json POST /manufacturing-orders
openapi: 3.0.0
info:
  title: Bonx API
  version: 1.0.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://YOUR-API-URL
        description: Your space API URL, available in Settings → API tokens.
security: []
paths:
  /manufacturing-orders:
    post:
      summary: Create a manufacturing order
      parameters:
        - in: header
          name: x-api-key
          schema:
            type: string
          description: API token from your Bonx space.
        - description: >-
            _"articleId" is required (enter it either in parameters or request
            body)_
          in: query
          name: articleId
          required: true
          schema:
            type: integer
        - description: >-
            _"siteId" is required (enter it either in parameters or request
            body)_
          in: query
          name: siteId
          required: true
          schema:
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              properties:
                articleId:
                  nullable: false
                  type: integer
                dueDate:
                  $ref: '#/components/schemas/date'
                quantity:
                  $ref: '#/components/schemas/numeric'
                siteId:
                  nullable: false
                  type: integer
              type: object
        description: >-
          Query parameters can also be provided in the request body as a JSON
          object
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  insertManufacturingOrdersOne:
                    nullable: true
                    properties:
                      article:
                        description: >-
                          Articles with physical reality (= manage-able in
                          stock). This table includes all article types (raw
                          materials, semi-finished, finished products,
                          consumables, etc.)
                        nullable: true
                        properties:
                          code:
                            nullable: true
                            type: string
                          id:
                            nullable: false
                            type: integer
                          name:
                            nullable: false
                            type: string
                        type: object
                      dueDate:
                        $ref: '#/components/schemas/date'
                      id:
                        nullable: false
                        type: integer
                      quantity:
                        $ref: '#/components/schemas/numeric'
                      reference:
                        nullable: false
                        type: string
                      site:
                        nullable: false
                        properties:
                          id:
                            nullable: false
                            type: integer
                          name:
                            nullable: false
                            type: string
                        type: object
                      stockAvailability:
                        nullable: true
                        type: string
                    type: object
          description: Response
components:
  schemas:
    date:
      nullable: false
    numeric:
      nullable: false

````